## pam-mysql 0.4.7

=== Makefile ===
# Convenient defaults for compiling independently of the full source
# tree.
ifndef FULL_LINUX_PAM_SOURCE_TREE
export DYNAMIC=-DPAM_DYNAMIC
export CC=gcc
export CFLAGS=-O2 -Dlinux -DLINUX_PAM \
       -ansi -D_POSIX_SOURCE -Wall -Wwrite-strings \
       -Wpointer-arith -Wcast-qual -Wcast-align -Wtraditional \
       -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline \
       -Wshadow -pedantic -fPIC
export MKDIR=mkdir -p
export LD_D=gcc -shared -Xlinker -x -L/usr/lib/mysql
endif

#
#

TITLE=pam_mysql

#

LIBSRC = $(TITLE).c
LIBOBJ = $(TITLE).o
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))
LIBOBJS = $(addprefix static/,$(LIBOBJ))

ifdef DYNAMIC
LIBSHARED = $(TITLE).so
endif

ifdef STATIC
LIBSTATIC = lib$(TITLE).o
endif

####################### don't edit below #######################

all: dirs $(LIBSHARED) $(LIBSTATIC) register

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(STATIC) $(TARGET_ARCH) -c $< -o $@

dirs:
ifdef DYNAMIC
	$(MKDIR) ./dynamic
endif
ifdef STATIC
	$(MKDIR) ./static
endif

register:
ifdef STATIC
	( cd .. ; ./register_static $(TITLE) $(TITLE)/$(LIBSTATIC) )
endif

ifdef DYNAMIC
$(LIBOBJD): $(LIBSRC)
endif

ifdef DYNAMIC
$(LIBSHARED):	$(LIBOBJD)
		$(LD_D) -o $@ $(LIBOBJD)  -lmysqlclient -lcrypt
#		cp pam_mysql.so /lib/security/pam_mysql.so
endif

ifdef STATIC
$(LIBOBJS): $(LIBSRC)
endif

ifdef STATIC
$(LIBSTATIC): $(LIBOBJS)
	$(LD) -r -o $@ $(LIBOBJS)  -lmysqlclient -lcrypt
endif

install: all
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
ifdef DYNAMIC
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
endif

remove:
	rm -f $(FAKEROOT)$(SECUREDIR)/$(TITLE).so

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) core *~

extraclean: clean
	rm -f *.a *.o *.so *.bak

.c.o:	
	$(CC) $(CFLAGS) -c $<

## pam-mysql 0.5.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
        -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline \
        -Wshadow -pedantic -fPIC
 export MKDIR=mkdir -p
-export LD_D=gcc -shared -Xlinker -x -L/usr/lib/mysql
+export LD_D=gcc -shared -Xlinker -x -L/usr/lib/mysql -lz
 endif
 
 #

## pam-mysql 0.8.0

=== debian/changelog ===
pam-mysql (0.8.0-1) unstable; urgency=medium

  * [3c01801] Add gbp.conf
  * [94abb69] Add watch file
  * [c2aa7a2] New upstream release (0.8.0) (Closes: #153915, #701104, #765492)
  * [35f1b01] Switch to 3.0 (quilt) source format (Closes: #670859)
  * [b72aca0] Convert the needed dpatch into a quilt patch.
    The OpenSSL define isn't needed anymore with 0.8.0.
  * [9baf691] Run wrap-and-sort -ast
  * [0277080] Switch to debhelper 9 and the dh sequencer
    (Closes: #490772, #542084)
  * [8c1a121] OpenSSL is used via pkg-config (Closes: #685480)
  * [722876f] Conffiles under /etc are registered automatically by debhelper
  * [0d425f6] 0.8.0 ships AUTHORS instead of CREDITS
  * [f7bcabc] Play safe: add #DEBHELPER# token to our postinst
  * [05aa024] Adopt the package
  * [0207e87] Update Standards-Version to 3.9.8 (no changes required)
  * [ac4dfab] Abort maintainer script execution on errors
  * [cb277fa] Remove useless debian/libpam-mysql.substvarsold
  * [ac5e1b2] Rip out debconf interface.
    The generally sensible configuration is the default one.
    For the rest, dpkg-statoverride is there.
    (Closes: #685580, #687555, #687709, #687723, #687816, #687945, #688052,
             #688154, #688431, #689040, #689462)
  * [c7c2a4d] Override Lintian warning about permissions of pam-mysql.conf
  * [bbbd6c8] Switch to machine-readable debian/copyright
  * [7d69003] MariaDB client libraries are equally good for us (Closes: #845886)
  * [be2238a] Enable multi-arch
  * [46f061c] Remove stale TODO file
  * [65d9806] Enable hardening
  * [e2fd9b5] Add Homepage field
  * [65c419b] Add Vcs-Git and Vcs-Browser fields
  * [b88603e] New patch Don-t-destroy-CPPFLAGS.patch.
    Don't destroy CPPFLAGS
  * [c8ad7b0] New patch Eliminate-obsolete-AC_OUTPUT-argument.patch.
    Eliminate obsolete AC_OUTPUT argument
  * [b5bd0a5] Fail build on undefined symbols in the module
  * [0f734a2] New patch AC_CONFIG_FILES-are-automatically-distributed.patch.
    AC_CONFIG_FILES are automatically distributed
  * [bf7533a] Reword the package description.
    Thanks to Justin B Rye in #685580.
  * [bd601cf] New patch Fix-spelling-in-README-slogs-slows.patch.
    Fix spelling in README: slogs -> slows

 -- Ferenc Wágner <wferi@debian.org>  Thu, 01 Dec 2016 11:19:34 +0100

pam-mysql (0.7~RC1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libmysqlclient-dev instead of libmysqlclient15-dev
    (Closes: #790455)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 18 Apr 2016 21:45:50 +0200

pam-mysql (0.7~RC1-4) unstable; urgency=low

  * Set bogus passwd in pam_mysql.conf so that root won't be able to
    log as root without password
  * Added patch to link against libpam. (closes: #418500). Kudos to
    Christian Hammers for patch

 -- Lars Bahner <bahner@debian.org>  Fri, 30 Jan 2009 18:19:10 +0100

pam-mysql (0.7~RC1-3) experimental; urgency=low

  * debconf
  * more cleanup
  * added -f switch to rm in rules (closes: #490772) 
  * New version fixes bugs (closes: #367535, #368653, #238478)

 -- Lars Bahner <bahner@debian.org>  Mon, 26 Jan 2009 08:36:06 +0100

pam-mysql (0.7~RC1-2) experimental; urgency=low

  * Bumped license to GPL-3 explicitly.
  * Cleaned up packaging a bit
  * Added conffile /etc/libpam-mysql.conf

 -- Lars Bahner <bahner@debian.org>  Mon, 26 Jan 2009 03:24:56 +0100

pam-mysql (0.7~RC1-1) experimental; urgency=low

  * Added myself as uploader after request from Pawel.
  * New upstream version (closes: #389347)
  * Added patch to build with openssl (closes: #373834, #495532)
  * Version 0.7 uses external config.file (closes: #297930

 -- Lars Bahner <bahner@debian.org>  Sun, 25 Jan 2009 22:44:08 +0100

pam-mysql (0.6.2-1) unstable; urgency=high

  * New upstream version (closes: #332714, #353589, #307861, #292097)
  * Severity high because it fixes critical vulnerabilities (CVE-2005-4713,
    CVE-2006-0056)
  * Rebuilt against libmysqlclient15 (closes: #356745)
  * Updated standards version and debhelper compatibility level

 -- Paweł Więcek <coven@debian.org>  Fri, 21 Apr 2006 07:20:56 +0200

pam-mysql (0.5.0-7) unstable; urgency=low

  * Added patch from Magnus Holmgren <holmgren@lysator.liu.se> to fix behavior
    when NULL passwords are used (closes: #297819)
  * Rebuilt agains libmysqlclient12

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 May 2005 21:38:56 +0200

pam-mysql (0.5.0-6) unstable; urgency=low

  * Added patch by Kees Cook taken from from sf.net patch tracker and
    adapted by Thomas Viehmann.
  * Link against libpam. (Closes: #245790)
  * Added -fno-strict-aliasing to CFLAGS.

 -- Pawel Wiecek <coven@debian.org>  Tue,  8 Jun 2004 22:27:54 +0200

pam-mysql (0.5.0-5) unstable; urgency=low

  * Added patch from Lehel Bernadt <lehel@pmc-services.hu> to allow
    specification of mysql port (closes: #233813)

 -- Pawel Wiecek <coven@debian.org>  Tue,  9 Mar 2004 01:23:27 +0100

pam-mysql (0.5.0-4) unstable; urgency=low

  * Workaround a problem with crypt() calls (closes: #223486)
  * Switched to off by default and documented MySQL logging (closes: #197028)

 -- Pawel Wiecek <coven@debian.org>  Thu, 22 Jan 2004 14:00:49 +0100

pam-mysql (0.5.0-3) unstable; urgency=low

  * Applied patch from Christian Hammers <ch@debian.org> to fix maximum
    database name string length (closes: #201261)
  * Updated standards version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Tue, 14 Oct 2003 15:03:45 +0200

pam-mysql (0.5.0-2) unstable; urgency=low

  * Don't compile in debug mode anymore (closes: #195034)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Wed, 28 May 2003 12:42:17 +0200

pam-mysql (0.5.0-1) unstable; urgency=low

  * New upstream version (closes: #187015)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Tue, 29 Apr 2003 14:22:36 +0200

pam-mysql (0.4.7-1) unstable; urgency=low

  * New maintainer (closes: #107967, #77537, #97616)



=== debian/control ===
Source: pam-mysql
Section: admin
Priority: extra
Maintainer: Ferenc Wágner <wferi@debian.org>
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libssl-dev,
 pkg-config,
Homepage: https://github.com/NigelCunningham/pam-MySQL
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pam-mysql.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pam-mysql.git

Package: libpam-mysql
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PAM module interfacing with MySQL databases
 This module lets PAM-enabled applications get authentication and
 account information from MySQL databases.  Passwords can be stored
 in various encrypted formats, for example as crypt, MD5 or SHA1 hashes,
 in MySQL format or in the Drupal 7 salted format.  Account and password
 expiration is handled via SQL expressions.  Logging into MySQL is also
 supported.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Fail on undefined symbols in the module
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SECDIR = /lib/$(DEB_HOST_MULTIARCH)/security

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-pam-mods-dir=$(SECDIR) \
		--with-openssl

override_dh_install:
	rm debian/libpam-mysql/$(SECDIR)/pam_mysql.la
	dh_install --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod 640 debian/libpam-mysql/etc/pam-mysql.conf

## pam-mysql 0.8.1

=== debian/changelog ===
pam-mysql (0.8.1-5build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 10:53:25 +0100

pam-mysql (0.8.1-5) unstable; urgency=medium

  * [992bbb4] Revert "Our autopkgtest does not need isolation-container"
    This reverts commit 706c19c4b26dff15a507880d50b073eb6e9e5afa.
    Running a MariaDB server actually requires a container, because its
    default config binds to the localhost:mysql TCP port.
  * [e958afe] New patch: The bundled crypto routines check WORDS_BIGENDIAN
    (Closes: #984888)
  * [abc53e1] Upgrade Standards-Version to 4.5.1 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 14 Mar 2021 16:39:51 +0100

pam-mysql (0.8.1-4) unstable; urgency=medium

  * [66c1950] New patch: Fix FTCBFS: fails finding mysql libraries.
    Thanks to Helmut Grohne (Closes: #972891)
  * [f67ff9a] New patch: Embed xgethostname 20020413 for Hurd compatibility
  * [651c549] Extend our autopkgtest for all supported crypt algorithms
  * [4f91453] Make the autopkgtest easily rerunnable
  * [706c19c] Our autopkgtest does not need isolation-container
  * [041eb89] New patch: Avoid segfault on unexpected Joomla hash value
  * [51e4c09] Apply patches to re-enable MySQL 3.23 hash support
  * [62ed75e] Bump watch file to version 4

 -- Ferenc Wágner <wferi@debian.org>  Mon, 16 Nov 2020 23:48:04 +0100

pam-mysql (0.8.1-3) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [80013d6] Enroll to basic Salsa CI
  * [cbb0c2d] New patch: Convert AUTHORS file to UTF-8 to eliminate uncertainty

  [ Debian Janitor ]
  * [0d0b76b] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    Fixes: lintian: upstream-metadata-missing-repository

  [ Robie Basak ]
  * [aca2e8b] Port autopkgtest to Python 3 to fix failure (Closes: #943149)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 04 Nov 2020 09:53:50 +0100

pam-mysql (0.8.1-2) unstable; urgency=medium

  * [bbe5f45] Revert the 0.8.1-1.1 NMU, we can't switch to Python3 yet.
    Because python-pam exists for Python 2 only.
    So use python2 explicitly for running the test.
  * [e2f669a] Update Standards-Version to 4.5.0 (no changes needed)
  * [7728c93] Switch to Debhelper compat level 12
  * [ad12f54] Enable rootless build

 -- Ferenc Wágner <wferi@debian.org>  Sun, 09 Aug 2020 23:21:30 +0200

pam-mysql (0.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Robie Basak ]
  * Port autopkgtest to Python 3 to fix failure. Closes: #943149.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Aug 2020 12:04:35 +0200

pam-mysql (0.8.1-1) unstable; urgency=medium

  * [3f82e6e] Update old style gbp.conf section names
  * [16e3f9f] Priority: extra is deprecated, use optional instead
  * [f3c8bd1] Update Standards-Version to 4.1.4 (no changes required)
  * [30d1a84] Clean up trailing whitespace in the debian directory
  * [87f1960] Migrate to salsa.debian.org/debian
  * [1c8787f] Switch to Debhelper compat level 11
  * [06f4553] Add autopkgtest for authentication success and failure.
    Pamtester would have required an Expect script as well, so written in
    Python instead.
  * [1d1fe30] Several gbp subcommands use pristine-tar
  * [cc1cc03] New upstream release (0.8.1)
  * [c6ebd04] Remove upstreamed (that is: all) patches

 -- Ferenc Wágner <wferi@debian.org>  Tue, 29 May 2018 06:03:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SECDIR = /lib/$(DEB_HOST_MULTIARCH)/security
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -19,7 +19,10 @@
 
 override_dh_install:
 	rm debian/libpam-mysql/$(SECDIR)/pam_mysql.la
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pam-mysql-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/NigelCunningham/pam-MySQL/releases .*/v?(\d\S+)\.tar\.gz

## pam-mysql 0.8.2

=== debian/changelog ===
pam-mysql (0.8.2-3) unstable; urgency=medium

  * [51719a3] Add libcrypt-dev to Build-Depends.
    The pam_mysql.c source file includes crypt.h. (Closes: #1107001)
  * [8f526f9] pkgconf superseded pkg-config
  * [77c2c1f] Replace the old postal address of the FSF with its HTTP link
  * [fb6a80a] Update Standards-Version to 4.7.2 (no changes required)
  * [18977d2] Update copyright year of debian directory

 -- Ferenc Wágner <wferi@debian.org>  Sun, 17 Aug 2025 13:44:33 +0200

pam-mysql (0.8.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into /usr. (Closes: #1061713)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 10:11:54 +0200

pam-mysql (0.8.2-2) unstable; urgency=medium

  * [9f6980e] New patch: Update README.
    Thanks to Thomas Strohmeier
  * [9bf9187] Extend autopkgtest with SSHA, SHA256 and SHA512 methods
  * [c6fb020] Clean up the test code a little

 -- Ferenc Wágner <wferi@debian.org>  Mon, 30 Jan 2023 18:30:41 +0100

pam-mysql (0.8.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [a6cd0b0] Update lintian override info to new format on line 2.
    Changes-By: lintian-brush
    Fixes: lintian: mismatched-override
  * [1d5c357] Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing,
    which is now the default.
    Changes-By: lintian-brush
    Fixes: lintian: package-uses-old-debhelper-compat-version
  * [00257c4] Update standards version to 4.6.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version

  [ Ferenc Wágner ]
  * [957a0b5] Adapt watch file to upstream changes
  * [56cb2d9] New upstream release (0.8.2)
  * [f29e024] Refresh our patches
  * [a2d65ba] Update Standards-Version to 4.6.2 (no changes required)
  * [bf07510] Update copyright dates
  * [6f52398] Attach copyright to the patch introducing xgethostname
  * [3554532] Tune config file via execute_after_dh_fixperms
  * [3f3a37a] pam_mysql.la is installed by upstream, not by dh_install

 -- Ferenc Wágner <wferi@debian.org>  Mon, 30 Jan 2023 11:21:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: pam-mysql
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Ferenc Wágner <wferi@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper-compat (= 13),
  default-libmysqlclient-dev,
+ libcrypt-dev,
  libpam0g-dev,
  libssl-dev,
- pkg-config,
+ pkgconf,
 Homepage: https://github.com/NigelCunningham/pam-MySQL
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pam-mysql.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pam-mysql.git
+Vcs-Git: https://salsa.debian.org/debian/pam-mysql.git
+Vcs-Browser: https://salsa.debian.org/debian/pam-mysql
 
 Package: libpam-mysql
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Fail on undefined symbols in the module
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SECDIR = /usr/lib/$(DEB_HOST_MULTIARCH)/security

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-pam-mods-dir=$(SECDIR) \
		--with-openssl

execute_after_dh_auto_install:
	rm debian/libpam-mysql/$(SECDIR)/pam_mysql.la

execute_after_dh_fixperms:
	chmod 640 debian/libpam-mysql/etc/pam-mysql.conf

=== debian/watch ===
version=4

opts=\
  filenamemangle=s#.+/v?(\d\S+)\.tar\.gz#pam-mysql-$1.tar.gz#,\
  uversionmangle=s#(\d)[_.+-]?((RC|rc|pre|dev|beta|alpha)\d*)$#$1~$2# \
  https://github.com/NigelCunningham/pam-MySQL/tags .*/v?(\d\S+)\.tar\.gz
